Numero_Muestras=200; %declaracin nmero de muestras que va a tener la grafica, (eje x)

serial_PSoC=serial('COM9','BaudRate',115200,'Parity','none','DataBits',8,'StopBits',1); %declaracin de los parmetros de puerto serial
set(serial_PSoC,'InputBufferSize',5); %nmero de datos que se van a recibir en este caso yo estoy recibiendo por ejemplo 12.65
set(serial_PSoC,'Terminator','CR/LF'); %se declara un terminator para que matlab sepa que ya se termino la cadena de datos
                                   %y no tenga este caracter en cuenta como tal como un dato para graficar
fopen(serial_PSoC); %Para abrir el puerto Serial

contador=1; %inicializar un contador que se usa para llenar las posiciones de un vector donde se almacena cada dato recibido por el puerto serial

fprintf(serial_PSoC,'%c','l'); %Se envia un caracter al microcontrolador para que este inicie el envio de datos del ADC

figure('Name','Comunicacin MATLAB con PSoC 4')        %Iniciar la ventana donde estar la grfica 
%title('Grafica Valor de voltaje del ADC');             %Ttulo que se le da a la grfica
%xlabel('Muestras');                                    %Nombre del Eje x
%ylabel('Voltaje (V)');                                 %Nombre del Eje y
hold on                                                %Retener la grfica para que no se abra una nueva con cada dato

while contador<=Numero_Muestras                        %Ciclo while para rellenar el vector ADC con los valores recibidos por el puerto serial
    
     %%%% send a to PSoC for recive sensor 1
    fprintf(serial_PSoC,'%c','a');
        pause(0.5);
        %int recepcion;
        recepcion=fscanf(serial_PSoC,'%d',serial_PSoC.BytesAvailable);                %Asi se recibe un valor float por el puerto serial, es un vector columna.
        ADC(contador)=recepcion(1);                        %Asignacion de el vector recepcin en la posicion 1 en el vector ADC en la posicin en que se encuentre el contador
        
       subplot(2,2,1)
        plot((ADC/1000),'b')                                          %grafica los valores del vector ADC
        xlabel('tiempo');
        ylabel('volt');
        grid on                                            %Para poner la malla en la grfica
        ylim([-0.1 5.2]);                                     %lmites inferior y superior de la grafica en el eje y
        xlim([0 Numero_Muestras]);                         %lmites inferior y superior de la grafica en el eje x
        drawnow                                            %Para actualizar los parmetros de la grfica cada vez que pasa por el loop, ya que si no se pone
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%                         %unicamente con la funcin plot la imprimir{ia hasta que el loop se acabe
   %%%% send t to PSoC for recive sensor 2
   fprintf(serial_PSoC,'%c','t');
        pause(0.5);
        recepcion=fscanf(serial_PSoC,'%d',serial_PSoC.BytesAvailable);                %Asi se recibe un valor float por el puerto serial, es un vector columna.
        ADC(contador)=recepcion(1);                        %Asignacion de el vector recepcin en la posicion 1 en el vector ADC en la posicin en que se encuentre el contador
        
        subplot(2,2,2)
        plot((ADC/1000),'r')                                          %grafica los valores del vector ADC
        xlabel('tiempo');
        ylabel('temp');
        grid on                                            %Para poner la malla en la grfica
        ylim([-0.1 100]);                                     %lmites inferior y superior de la grafica en el eje y
        xlim([0 Numero_Muestras]);                         %lmites inferior y superior de la grafica en el eje x
        drawnow                                            %Para actualizar los parmetros de la grfica cada vez que pasa por el loop, ya que si no se pone
 %%%%%%%%%%%%                                              %unicamente con la funcin plot la imprimir{ia hasta que el loop se acabe
 
   
   
   
     contador=contador+1;                               %se modifica el contador para rellenar la siguiente posicion del vector ADC
    
    if contador>=Numero_Muestras                       %condicin para reiniciar el contador cuando se llega al nmero de muestras total                    
        hold off                                       %para "despegarse" de la grfica un momento mientras el contador toma su valor inicial
                                                       %y asi cuando el loop vuelva a iniciarse se dara un efecto de osciloscopio                                                      %loop vuelva a
                                                       
        contador=1;                                    %valor inicial del contador

    end
end

fclose(serial_PSoC);                                    %asi se cierra el puerto
delete(serial_PSoC);                                    %as se borra el puerto de la memoria de matlab 
clear all;                                              %se limpian las variables
    