/*******************************************************************************
* File Name: LED_Rojo.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED_Rojo_H) /* Pins LED_Rojo_H */
#define CY_PINS_LED_Rojo_H

#include "cytypes.h"
#include "cyfitter.h"
#include "LED_Rojo_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LED_Rojo_Write(uint8 value) ;
void    LED_Rojo_SetDriveMode(uint8 mode) ;
uint8   LED_Rojo_ReadDataReg(void) ;
uint8   LED_Rojo_Read(void) ;
uint8   LED_Rojo_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED_Rojo_DRIVE_MODE_BITS        (3)
#define LED_Rojo_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - LED_Rojo_DRIVE_MODE_BITS))

#define LED_Rojo_DM_ALG_HIZ         (0x00u)
#define LED_Rojo_DM_DIG_HIZ         (0x01u)
#define LED_Rojo_DM_RES_UP          (0x02u)
#define LED_Rojo_DM_RES_DWN         (0x03u)
#define LED_Rojo_DM_OD_LO           (0x04u)
#define LED_Rojo_DM_OD_HI           (0x05u)
#define LED_Rojo_DM_STRONG          (0x06u)
#define LED_Rojo_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define LED_Rojo_MASK               LED_Rojo__MASK
#define LED_Rojo_SHIFT              LED_Rojo__SHIFT
#define LED_Rojo_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED_Rojo_PS                     (* (reg32 *) LED_Rojo__PS)
/* Port Configuration */
#define LED_Rojo_PC                     (* (reg32 *) LED_Rojo__PC)
/* Data Register */
#define LED_Rojo_DR                     (* (reg32 *) LED_Rojo__DR)
/* Input Buffer Disable Override */
#define LED_Rojo_INP_DIS                (* (reg32 *) LED_Rojo__PC2)


#if defined(LED_Rojo__INTSTAT)  /* Interrupt Registers */

    #define LED_Rojo_INTSTAT                (* (reg32 *) LED_Rojo__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define LED_Rojo_DRIVE_MODE_SHIFT       (0x00u)
#define LED_Rojo_DRIVE_MODE_MASK        (0x07u << LED_Rojo_DRIVE_MODE_SHIFT)


#endif /* End Pins LED_Rojo_H */


/* [] END OF FILE */
