/*******************************************************************************
* File Name: Pot.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pot_H) /* Pins Pot_H */
#define CY_PINS_Pot_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Pot_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pot_Write(uint8 value) ;
void    Pot_SetDriveMode(uint8 mode) ;
uint8   Pot_ReadDataReg(void) ;
uint8   Pot_Read(void) ;
uint8   Pot_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pot_DRIVE_MODE_BITS        (3)
#define Pot_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Pot_DRIVE_MODE_BITS))

#define Pot_DM_ALG_HIZ         (0x00u)
#define Pot_DM_DIG_HIZ         (0x01u)
#define Pot_DM_RES_UP          (0x02u)
#define Pot_DM_RES_DWN         (0x03u)
#define Pot_DM_OD_LO           (0x04u)
#define Pot_DM_OD_HI           (0x05u)
#define Pot_DM_STRONG          (0x06u)
#define Pot_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define Pot_MASK               Pot__MASK
#define Pot_SHIFT              Pot__SHIFT
#define Pot_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pot_PS                     (* (reg32 *) Pot__PS)
/* Port Configuration */
#define Pot_PC                     (* (reg32 *) Pot__PC)
/* Data Register */
#define Pot_DR                     (* (reg32 *) Pot__DR)
/* Input Buffer Disable Override */
#define Pot_INP_DIS                (* (reg32 *) Pot__PC2)


#if defined(Pot__INTSTAT)  /* Interrupt Registers */

    #define Pot_INTSTAT                (* (reg32 *) Pot__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define Pot_DRIVE_MODE_SHIFT       (0x00u)
#define Pot_DRIVE_MODE_MASK        (0x07u << Pot_DRIVE_MODE_SHIFT)


#endif /* End Pins Pot_H */


/* [] END OF FILE */
